diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
index 0d5bf9d..09be6f3 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
@@ -2488,28 +2488,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Baškortostan, Respublika
+    // Krasnojarskij kraj
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Baskortostan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KrasnojarskijKraj">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Baškortostan, Respublika</rdfs:label>
-      <skos:definition>The republic of Baškortostan, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Krasnojarskij kraj</rdfs:label>
+      <skos:definition>The administrative territory of Krasnojarskij kraj in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Baškortostan, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Bashkortostan, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Krasnojarskij kraj</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Krasnoyarskiy kray</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-BA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KYA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Baškortostan, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-BA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-BA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Baskortostan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Baskortostan"/>
+      <skos:definition>subdivision code for the administrative territory of Krasnojarskij kraj in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KYA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KYA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KrasnojarskijKraj"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KrasnojarskijKraj"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2519,28 +2519,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Karachayevo-Cherkesskaya Respublika
+    // Nenetskiy avtonomnyy okrug
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Karachayevo-CherkesskayaRespublika">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;NenetskiyAvtonomnyyOkrug">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Karachayevo-Cherkesskaya Respublika</rdfs:label>
-      <skos:definition>The republic of Karachayevo-Cherkesskaya Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Nenetskiy avtonomnyy okrug</rdfs:label>
+      <skos:definition>The autonomous district of Nenetskiy avtonomnyy okrug in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Karachayevo-Cherkesskaya Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Karačaevo-Čerkesskaja Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Nenetskiy avtonomnyy okrug</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Neneckij avtonomnyj okrug</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousDistrict"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KC">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-NEN">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Karachayevo-Cherkesskaya Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KC</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KC</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Karachayevo-CherkesskayaRespublika"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Karachayevo-CherkesskayaRespublika"/>
+      <skos:definition>subdivision code for the autonomous district of Nenetskiy avtonomnyy okrug in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-NEN</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-NEN</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;NenetskiyAvtonomnyyOkrug"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;NenetskiyAvtonomnyyOkrug"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2550,28 +2550,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kalužskaja oblast'
+    // Primorskij kraj
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KaluzskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;PrimorskijKraj">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kalužskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Kalužskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Primorskij kraj</rdfs:label>
+      <skos:definition>The administrative territory of Primorskij kraj in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kalužskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kaluzhskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ur">Primorskij kraj</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Primorskiy kray</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KLU">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-PRI">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Kalužskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KLU</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KLU</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KaluzskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KaluzskajaOblast"/>
+      <skos:definition>subdivision code for the administrative territory of Primorskij kraj in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-PRI</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-PRI</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;PrimorskijKraj"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;PrimorskijKraj"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2581,28 +2581,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Leningradskaja oblast'
+    // Rostovskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;LeningradskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RostovskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Leningradskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Leningradskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Rostovskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Rostovskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Leningradskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Leningradskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ur">Rostovskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Rostovskaya oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-LEN">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ROS">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Leningradskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-LEN</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-LEN</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;LeningradskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;LeningradskajaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Rostovskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-ROS</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ROS</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;RostovskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;RostovskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2612,28 +2612,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Novosibirskaya oblast'
+    // Saratovskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;NovosibirskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SaratovskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Novosibirskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Novosibirskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Saratovskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Saratovskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Novosibirskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Novosibirskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Saratovskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Saratovskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-NVS">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SAR">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Novosibirskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-NVS</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-NVS</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;NovosibirskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;NovosibirskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Saratovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-SAR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SAR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SaratovskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SaratovskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2643,28 +2643,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Permskiy kray
+    // Severnaya Osetiya, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;PermskiyKray">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SevernayaOsetiya">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Permskiy kray</rdfs:label>
-      <skos:definition>The administrative territory of Permskiy kray in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Severnaya Osetiya, Respublika</rdfs:label>
+      <skos:definition>The republic of Severnaya Osetiya, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Permskiy kray</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Permskij kraj</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Severnaya Osetiya, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Severnaja Osetija, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-PER">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SE">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative territory of Permskiy kray in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-PER</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-PER</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;PermskiyKray"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;PermskiyKray"/>
+      <skos:definition>subdivision code for the republic of Severnaya Osetiya, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-SE</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SE</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SevernayaOsetiya"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SevernayaOsetiya"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2674,28 +2674,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tverskaja oblast'
+    // Sankt-Peterburg
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;TverskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Sankt-Peterburg">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tverskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Tverskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Sankt-Peterburg</rdfs:label>
+      <skos:definition>The autonomous city of Sankt-Peterburg in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tverskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tverskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sankt-Peterburg</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sankt-Peterburg</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousCity"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TVE">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SPE">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Tverskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-TVE</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TVE</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;TverskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;TverskajaOblast"/>
+      <skos:definition>subdivision code for the autonomous city of Sankt-Peterburg in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-SPE</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SPE</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Sankt-Peterburg"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Sankt-Peterburg"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2714,8 +2714,8 @@
       <rdfs:label>Kaliningrad Region</rdfs:label>
       <skos:definition>The territory of Kaliningrad Region in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:hasNumericRegionCode rdf:datatype="&xsd;string">1095</lcc-cr:hasNumericRegionCode>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Kaliningrad Region</lcc-cr:hasEnglishShortName>
       <lcc-cr:hasFrenchShortName rdf:datatype="&xsd;string" xml:lang="fr">la Région de Kaliningrad</lcc-cr:hasFrenchShortName>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Kaliningrad Region</lcc-cr:hasEnglishShortName>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2;Territory"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-RW.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-RW.rdf
index 8f5c285..f5f597f 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-RW.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-RW.rdf
@@ -36,9 +36,9 @@
 
       <!-- Curation and Rights Metadata for the LCC ISO 3166-2 Subdivision Codes for Rwanda Ontology -->
 
-      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2017 Object Management Group, Inc.
-          Copyright (c) 2015-2017 Adaptive Inc.
-          Copyright (c) 2015-2017 Thematix Partners LLC
+      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2019 Object Management Group, Inc.
+          Copyright (c) 2015-2019 Adaptive Inc.
+          Copyright (c) 2015-2019 Thematix Partners LLC
           Copyright (c) 2015-2017 Unisys
         </sm:copyright>
       <dct:license rdf:resource="&sm;MITLicense"/>
@@ -47,9 +47,9 @@
 
       <sm:filename rdf:datatype="&xsd;string">ISO3166-2-SubdivisionCodes-RW.rdf</sm:filename>
       <sm:fileAbbreviation rdf:datatype="&xsd;string">lcc-3166-2-rw</sm:fileAbbreviation>
-      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20170801/Countries/Regions/ISO3166-2-SubdivisionCodes-RW/"/>
+      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20190301/Countries/Regions/ISO3166-2-SubdivisionCodes-RW/"/>
       <sm:fileAbstract rdf:datatype="&xsd;string">This ontology represents the subset of the ISO 3166 standard that includes the actual ISO 3166-2 subdivision codes for Rwanda, with the ontology and codes for the other parts of the standard represented in models that this ontology depends on.</sm:fileAbstract>
-      <dct:issued rdf:datatype="&xsd;dateTime">2017-07-20T22:26:02.631805+02:00</dct:issued>
+      <dct:issued rdf:datatype="&xsd;dateTime">2019-02-14T00:48:51.124818+01:00</dct:issued>
 
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/</sm:dependsOn>
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Countries/CountryRepresentation/</sm:dependsOn>
@@ -101,38 +101,6 @@
     -->
 
 
-  <!--
-    ///////////////////////////////////////////////////////////////////////////////////////
-    //
-    // Southern
-    //
-    ///////////////////////////////////////////////////////////////////////////////////////
-    -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-rw;Southern">
-      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Southern</rdfs:label>
-      <skos:definition>The province of Southern in the country of Rwanda</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Rwanda"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="rw">Amajyepfo</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Southern</lcc-cr:hasEnglishShortName>
-      <lcc-cr:hasFrenchShortName rdf:datatype="&xsd;string" xml:lang="fr">Sud</lcc-cr:hasFrenchShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-rw;Province"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-rw;"/>
-   </owl:NamedIndividual>
-
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-rw;RW-05">
-      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Southern in the country of Rwanda</skos:definition>
-      <rdfs:label>RW-05</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RW-05</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-rw;Southern"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-rw;Southern"/>
-      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-rw;"/>
-   </owl:NamedIndividual>
-
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
@@ -259,4 +227,36 @@
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-rw;"/>
    </owl:NamedIndividual>
 
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Southern
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-rw;Southern">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Southern</rdfs:label>
+      <skos:definition>The province of Southern in the country of Rwanda</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Rwanda"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="rw">Amajyepfo</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Southern</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasFrenchShortName rdf:datatype="&xsd;string" xml:lang="fr">Sud</lcc-cr:hasFrenchShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-rw;Province"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-rw;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-rw;RW-05">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the province of Southern in the country of Rwanda</skos:definition>
+      <rdfs:label>RW-05</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RW-05</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-rw;Southern"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-rw;Southern"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-rw;"/>
+   </owl:NamedIndividual>
+
 </rdf:RDF>
